Index: /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTest.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTest.java	(revision 5549)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTest.java	(revision 5550)
@@ -57,868 +57,919 @@
     @Before
     public void init() {
-	ComponentRegistryTestDatabase.resetAndCreateAllTables(jdbcTemplate);
-	createUserRecord();
-	baseRegistry = componentRegistryFactory.getBaseRegistry(DummyPrincipal.DUMMY_CREDENTIALS);
+        ComponentRegistryTestDatabase.resetAndCreateAllTables(jdbcTemplate);
+        createUserRecord();
+        baseRegistry = componentRegistryFactory.getBaseRegistry(DummyPrincipal.DUMMY_CREDENTIALS);
     }
 
     private String expectedUserId(String principal) {
-	return getUserDao().getByPrincipalName(principal).getId().toString();
-    }
-
+        return getUserDao().getByPrincipalName(principal).getId().toString();
+    }
     private ComponentDescription component1;
     private ComponentDescription component2;
     private ProfileDescription profile1;
     private ProfileDescription profile2;
-    
     private ComponentDescription component3;
     private ProfileDescription profile3;
-    
     private Comment profile1Comment1;
     private Comment profile1Comment2;
     private Comment component1Comment3;
     private Comment component1Comment4;
-    
     private Comment profile3Comment5;
     private Comment component3Comment7;
 
     private void fillUpPublicItems() throws Exception {
-        
-	profile1 = RegistryTestHelper.addProfile(baseRegistry, "profile2", true);
-	profile2 = RegistryTestHelper.addProfile(baseRegistry, "profile1", true);
-	component1 = RegistryTestHelper.addComponent(baseRegistry,
-		"component2", true);
-	component2 = RegistryTestHelper.addComponent(baseRegistry,
-		"component1", true);
-	profile1Comment2 = RegistryTestHelper.addComment(baseRegistry, "comment2",
-		ProfileDescription.PROFILE_PREFIX + "profile1",
-		"JUnit@test.com");
-	profile1Comment1 = RegistryTestHelper.addComment(baseRegistry, "comment1",
-		ProfileDescription.PROFILE_PREFIX + "profile1",
-		"JUnit@test.com");
-	component1Comment3 = RegistryTestHelper.addComment(baseRegistry, "comment3",
-		ComponentDescription.COMPONENT_PREFIX + "component1",
-		"JUnit@test.com");
-	component1Comment4 = RegistryTestHelper.addComment(baseRegistry, "comment4",
-		ComponentDescription.COMPONENT_PREFIX + "component1",
-		"JUnit@test.com");
-    }
-    
+
+        profile1 = RegistryTestHelper.addProfile(baseRegistry, "profile2", true);
+        profile2 = RegistryTestHelper.addProfile(baseRegistry, "profile1", true);
+        component1 = RegistryTestHelper.addComponent(baseRegistry,
+                "component2", true);
+        component2 = RegistryTestHelper.addComponent(baseRegistry,
+                "component1", true);
+        profile1Comment2 = RegistryTestHelper.addComment(baseRegistry, "comment2",
+                ProfileDescription.PROFILE_PREFIX + "profile1",
+                "JUnit@test.com");
+        profile1Comment1 = RegistryTestHelper.addComment(baseRegistry, "comment1",
+                ProfileDescription.PROFILE_PREFIX + "profile1",
+                "JUnit@test.com");
+        component1Comment3 = RegistryTestHelper.addComment(baseRegistry, "comment3",
+                ComponentDescription.COMPONENT_PREFIX + "component1",
+                "JUnit@test.com");
+        component1Comment4 = RegistryTestHelper.addComment(baseRegistry, "comment4",
+                ComponentDescription.COMPONENT_PREFIX + "component1",
+                "JUnit@test.com");
+    }
+
     private void fillUpPrivateItems() throws Exception {
-	profile3 = RegistryTestHelper.addProfile(baseRegistry, "profile3", false);
-	component3 = RegistryTestHelper.addComponent(baseRegistry,
-		"component3", false);
-	profile3Comment5 = RegistryTestHelper.addComment(baseRegistry, "comment5",
-		ProfileDescription.PROFILE_PREFIX + "profile3",
-		"JUnit@test.com");
-	component3Comment7 = RegistryTestHelper.addComment(baseRegistry, "comment7",
-		ComponentDescription.COMPONENT_PREFIX + "component3",
-		"JUnit@test.com");
-    }
-
-    @Test//ok
+        profile3 = RegistryTestHelper.addProfile(baseRegistry, "profile3", false);
+        component3 = RegistryTestHelper.addComponent(baseRegistry,
+                "component3", false);
+        profile3Comment5 = RegistryTestHelper.addComment(baseRegistry, "comment5",
+                ProfileDescription.PROFILE_PREFIX + "profile3",
+                "JUnit@test.com");
+        component3Comment7 = RegistryTestHelper.addComment(baseRegistry, "comment7",
+                ComponentDescription.COMPONENT_PREFIX + "component3",
+                "JUnit@test.com");
+    }
+
+    @Test
     public void testGetPublicProfiles() throws Exception {
-        
-        fillUpPublicItems();
-        
-	RegistryTestHelper.addProfile(baseRegistry, "PROFILE2", true);
-	List<ProfileDescription> response = this.getAuthenticatedResource(getResource()
-		.path("/registry/profiles")).accept(MediaType.APPLICATION_XML)
-		.get(PROFILE_LIST_GENERICTYPE);
-	assertEquals(3, response.size());
-	response = this.getAuthenticatedResource(getResource()
-		.path("/registry/profiles"))
-		.accept(MediaType.APPLICATION_JSON)
-		.get(PROFILE_LIST_GENERICTYPE);
-	assertEquals(3, response.size());
-	assertEquals("profile1", response.get(0).getName());
-	assertEquals("PROFILE2", response.get(1).getName());
-	assertEquals("profile2", response.get(2).getName());
+
+        System.out.println("testGetPublicProfiles");
+
+        fillUpPublicItems();
+
+        RegistryTestHelper.addProfile(baseRegistry, "PROFILE2", true);
+        List<ProfileDescription> response = this.getAuthenticatedResource(getResource()
+                .path("/registry/profiles")).accept(MediaType.APPLICATION_XML)
+                .get(PROFILE_LIST_GENERICTYPE);
+        assertEquals(3, response.size());
+        response = this.getAuthenticatedResource(getResource()
+                .path("/registry/profiles"))
+                .accept(MediaType.APPLICATION_JSON)
+                .get(PROFILE_LIST_GENERICTYPE);
+        assertEquals(3, response.size());
+        assertEquals("profile1", response.get(0).getName());
+        assertEquals("PROFILE2", response.get(1).getName());
+        assertEquals("profile2", response.get(2).getName());
     }
 
     @Test //ok
     public void testGetPublicComponents() throws Exception {
-        
-        fillUpPublicItems();
-        
+
+        System.out.println("testGetPublicComponents");
+
+        fillUpPublicItems();
+
         RegistryTestHelper.addComponent(baseRegistry, "COMPONENT2", true);
-	List<ComponentDescription> response = this.getAuthenticatedResource(getResource()
-		.path("/registry/components")).accept(MediaType.APPLICATION_XML)
-		.get(COMPONENT_LIST_GENERICTYPE);
-	assertEquals(3, response.size());
-	response = this.getAuthenticatedResource(getResource()
-		.path("/registry/components"))
-		.accept(MediaType.APPLICATION_JSON)
-		.get(COMPONENT_LIST_GENERICTYPE);
-	assertEquals(3, response.size());
-	assertEquals("component1", response.get(0).getName());
-	assertEquals("COMPONENT2", response.get(1).getName());
-	assertEquals("component2", response.get(2).getName());
+        List<ComponentDescription> response = this.getAuthenticatedResource(getResource()
+                .path("/registry/components")).accept(MediaType.APPLICATION_XML)
+                .get(COMPONENT_LIST_GENERICTYPE);
+        assertEquals(3, response.size());
+        response = this.getAuthenticatedResource(getResource()
+                .path("/registry/components"))
+                .accept(MediaType.APPLICATION_JSON)
+                .get(COMPONENT_LIST_GENERICTYPE);
+        assertEquals(3, response.size());
+        assertEquals("component1", response.get(0).getName());
+        assertEquals("COMPONENT2", response.get(1).getName());
+        assertEquals("component2", response.get(2).getName());
     }
 
     @Test  //ok
     public void testGetUserComponents() throws Exception {
-        
+
+        System.out.println("testGetUserComponents");
+
         fillUpPrivateItems();
-        
-       	List<ComponentDescription> response = this.getUserComponents();
-	assertEquals(1, response.size());
-        
+
+        List<ComponentDescription> response = this.getUserComponents();
+        assertEquals(1, response.size());
+
         ////
-        
-        fillUpPublicItems();
-	response = getAuthenticatedResource(getResource().path("/registry/components")).accept(
-		MediaType.APPLICATION_JSON).get(COMPONENT_LIST_GENERICTYPE);
-	assertEquals("Get public components", 2, response.size());
-        
-	ClientResponse cResponse = getResource().path("/registry/components")
-		.queryParam(REGISTRY_SPACE_PARAM, "private")
-		.accept(MediaType.APPLICATION_JSON).get(ClientResponse.class);
-	assertEquals("Trying to get userspace without credentials", 401,
-		cResponse.getStatus());
+
+        fillUpPublicItems();
+        response = getAuthenticatedResource(getResource().path("/registry/components")).accept(
+                MediaType.APPLICATION_JSON).get(COMPONENT_LIST_GENERICTYPE);
+        assertEquals("Get public components", 2, response.size());
+
+        ClientResponse cResponse = getResource().path("/registry/components")
+                .queryParam(REGISTRY_SPACE_PARAM, "private")
+                .accept(MediaType.APPLICATION_JSON).get(ClientResponse.class);
+        assertEquals("Trying to get userspace without credentials", 401,
+                cResponse.getStatus());
     }
 
     @Test //ok
     public void testGetPublicComponent() throws Exception {
-        
-        fillUpPublicItems();
-        
+
+        System.out.println("testGetPublicComponents");
+
+        fillUpPublicItems();
+
         String id = ComponentDescription.COMPONENT_PREFIX + "component1";
-	String id2 = ComponentDescription.COMPONENT_PREFIX + "component2";
-	CMDComponentSpec component = this.getAuthenticatedResource(getResource()
-		.path("/registry/components/" + id))
-		.accept(MediaType.APPLICATION_JSON).get(CMDComponentSpec.class);
-	assertNotNull(component);
-	assertEquals("Access", component.getCMDComponent().getName());
-        
-        
-	component = this.getAuthenticatedResource(getResource().path("/registry/components/" + id2))
-		.accept(MediaType.APPLICATION_XML).get(CMDComponentSpec.class);
-	assertNotNull(component);
-	assertEquals("Access", component.getCMDComponent().getName());
-	assertEquals(id2, component.getHeader().getID());
-	assertEquals("component2", component.getHeader().getName());
-	assertEquals("Test Description", component.getHeader().getDescription());
+        String id2 = ComponentDescription.COMPONENT_PREFIX + "component2";
+        CMDComponentSpec component = this.getAuthenticatedResource(getResource()
+                .path("/registry/components/" + id))
+                .accept(MediaType.APPLICATION_JSON).get(CMDComponentSpec.class);
+        assertNotNull(component);
+        assertEquals("Access", component.getCMDComponent().getName());
+
+
+        component = this.getAuthenticatedResource(getResource().path("/registry/components/" + id2))
+                .accept(MediaType.APPLICATION_XML).get(CMDComponentSpec.class);
+        assertNotNull(component);
+        assertEquals("Access", component.getCMDComponent().getName());
+        assertEquals(id2, component.getHeader().getID());
+        assertEquals("component2", component.getHeader().getName());
+        assertEquals("Test Description", component.getHeader().getDescription());
     }
 
     @Test   // ok    
     public void testGetCommentsInPublicProfile() throws Exception {
-        
-        fillUpPublicItems();
-        
-	String id = ProfileDescription.PROFILE_PREFIX + "profile1";
-	RegistryTestHelper.addComment(baseRegistry, "COMMENT1", id,
-		"JUnit@test.com");
-	List<Comment> response = this.getAuthenticatedResource(getResource()
-		.path("/registry/profiles/" + id + "/comments/"))
-		.accept(MediaType.APPLICATION_XML)
-		.get(COMMENT_LIST_GENERICTYPE);
-	assertEquals(3, response.size());
-        
-	response = this.getAuthenticatedResource(getResource().path("/registry/profiles/" + id + "/comments"))
-		.accept(MediaType.APPLICATION_JSON)
-		.get(COMMENT_LIST_GENERICTYPE);
-	assertEquals(3, response.size());
-	assertEquals("comment2", response.get(0).getComment());
-	assertEquals("comment1", response.get(1).getComment());
-	assertEquals("COMMENT1", response.get(2).getComment());
-
-	assertEquals("Database test user", response.get(0).getUserName());
+
+        System.out.println("testGetCommentsInPublicPrfile");
+
+        fillUpPublicItems();
+
+        String id = ProfileDescription.PROFILE_PREFIX + "profile1";
+        RegistryTestHelper.addComment(baseRegistry, "COMMENT1", id,
+                "JUnit@test.com");
+        List<Comment> response = this.getAuthenticatedResource(getResource()
+                .path("/registry/profiles/" + id + "/comments/"))
+                .accept(MediaType.APPLICATION_XML)
+                .get(COMMENT_LIST_GENERICTYPE);
+        assertEquals(3, response.size());
+
+        response = this.getAuthenticatedResource(getResource().path("/registry/profiles/" + id + "/comments"))
+                .accept(MediaType.APPLICATION_JSON)
+                .get(COMMENT_LIST_GENERICTYPE);
+        assertEquals(3, response.size());
+        assertEquals("comment2", response.get(0).getComment());
+        assertEquals("comment1", response.get(1).getComment());
+        assertEquals("COMMENT1", response.get(2).getComment());
+
+        assertEquals("Database test user", response.get(0).getUserName());
     }
 
     @Test // ok
     public void testGetCommentsInPubliComponent() throws Exception {
-        fillUpPublicItems();
-        
-	String id = ComponentDescription.COMPONENT_PREFIX + "component1";
-	RegistryTestHelper.addComment(baseRegistry, "COMMENT2", id,
-		"JUnit@test.com");
-	List<Comment> response = this.getAuthenticatedResource(getResource()
-		.path("/registry/components/" + id + "/comments/"))
-		.accept(MediaType.APPLICATION_XML)
-		.get(COMMENT_LIST_GENERICTYPE);
-	assertEquals(3, response.size());
-	response = this.getAuthenticatedResource(getResource()
-		.path("/registry/components/" + id + "/comments"))
-		.accept(MediaType.APPLICATION_JSON)
-		.get(COMMENT_LIST_GENERICTYPE);
-	assertEquals(3, response.size());
-	assertEquals("comment3", response.get(0).getComment());
-	assertEquals("comment4", response.get(1).getComment());
-	assertEquals("COMMENT2", response.get(2).getComment());
-
-	assertEquals("Database test user", response.get(0).getUserName());
+
+        System.out.println("testGetCoomentsInPublicComponent");
+
+        fillUpPublicItems();
+
+        String id = ComponentDescription.COMPONENT_PREFIX + "component1";
+        RegistryTestHelper.addComment(baseRegistry, "COMMENT2", id,
+                "JUnit@test.com");
+        List<Comment> response = this.getAuthenticatedResource(getResource()
+                .path("/registry/components/" + id + "/comments/"))
+                .accept(MediaType.APPLICATION_XML)
+                .get(COMMENT_LIST_GENERICTYPE);
+        assertEquals(3, response.size());
+        response = this.getAuthenticatedResource(getResource()
+                .path("/registry/components/" + id + "/comments"))
+                .accept(MediaType.APPLICATION_JSON)
+                .get(COMMENT_LIST_GENERICTYPE);
+        assertEquals(3, response.size());
+        assertEquals("comment3", response.get(0).getComment());
+        assertEquals("comment4", response.get(1).getComment());
+        assertEquals("COMMENT2", response.get(2).getComment());
+
+        assertEquals("Database test user", response.get(0).getUserName());
     }
 
     @Test // ok
     public void testGetSpecifiedCommentInPublicComponent() throws Exception {
-        
-        fillUpPublicItems();
-        
-	String id = ComponentDescription.COMPONENT_PREFIX + "component1";
-	Comment comment = this.getAuthenticatedResource(getResource()
-		.path("/registry/components/" + id + "/comments/"+component1Comment3.getId()))
-		.accept(MediaType.APPLICATION_JSON).get(Comment.class);
-	assertNotNull(comment);
-	assertEquals("comment3", comment.getComment());
-	assertEquals(component1Comment3.getId(), comment.getId());
-	comment = this.getAuthenticatedResource(getResource()
-		.path("/registry/components/" + id + "/comments/"+component1Comment4.getId()))
-		.accept(MediaType.APPLICATION_JSON).get(Comment.class);
-	assertNotNull(comment);
-	assertEquals("comment4", comment.getComment());
-	assertEquals(component1Comment4.getId(), comment.getId());
-	assertEquals(id, comment.getComponentId());
+
+        System.out.println("testSpecifiedCommentInPublicComponent");
+
+        fillUpPublicItems();
+
+        String id = ComponentDescription.COMPONENT_PREFIX + "component1";
+        Comment comment = this.getAuthenticatedResource(getResource()
+                .path("/registry/components/" + id + "/comments/" + component1Comment3.getId()))
+                .accept(MediaType.APPLICATION_JSON).get(Comment.class);
+        assertNotNull(comment);
+        assertEquals("comment3", comment.getComment());
+        assertEquals(component1Comment3.getId(), comment.getId());
+        comment = this.getAuthenticatedResource(getResource()
+                .path("/registry/components/" + id + "/comments/" + component1Comment4.getId()))
+                .accept(MediaType.APPLICATION_JSON).get(Comment.class);
+        assertNotNull(comment);
+        assertEquals("comment4", comment.getComment());
+        assertEquals(component1Comment4.getId(), comment.getId());
+        assertEquals(id, comment.getComponentId());
     }
 
     @Test //ok
     public void testGetSpecifiedCommentInPublicProfile() throws Exception {
-        
-        fillUpPublicItems();
-        
-	String id = ProfileDescription.PROFILE_PREFIX + "profile1";
-	Comment comment = this.getAuthenticatedResource(getResource()
-		.path("/registry/profiles/" + id + "/comments/"+profile1Comment2.getId()))
-		.accept(MediaType.APPLICATION_JSON).get(Comment.class);
-	assertNotNull(comment);
-	assertEquals("comment2", comment.getComment());
-	assertEquals(profile1Comment2.getId(), comment.getId());
-        
-	comment = this.getAuthenticatedResource(getResource()
-		.path("/registry/profiles/" + id + "/comments/"+profile1Comment1.getId()))
+
+        System.out.println("testGetSpecifiedCoomentInPublicProfile");
+
+        fillUpPublicItems();
+
+        String id = ProfileDescription.PROFILE_PREFIX + "profile1";
+        Comment comment = this.getAuthenticatedResource(getResource()
+                .path("/registry/profiles/" + id + "/comments/" + profile1Comment2.getId()))
                 .accept(MediaType.APPLICATION_JSON).get(Comment.class);
-	assertNotNull(comment);
-	assertEquals("comment1", comment.getComment());
-	assertEquals(profile1Comment1.getId(), comment.getId());
-	assertEquals(id, comment.getComponentId());
+        assertNotNull(comment);
+        assertEquals("comment2", comment.getComment());
+        assertEquals(profile1Comment2.getId(), comment.getId());
+
+        comment = this.getAuthenticatedResource(getResource()
+                .path("/registry/profiles/" + id + "/comments/" + profile1Comment1.getId()))
+                .accept(MediaType.APPLICATION_JSON).get(Comment.class);
+        assertNotNull(comment);
+        assertEquals("comment1", comment.getComment());
+        assertEquals(profile1Comment1.getId(), comment.getId());
+        assertEquals(id, comment.getComponentId());
     }
 
     @Test  //ok
     public void testDeleteCommentFromPublicComponent() throws Exception {
-        
-        fillUpPublicItems();
-        
-	String id = ComponentDescription.COMPONENT_PREFIX + "component1";
-	String id2 = ComponentDescription.COMPONENT_PREFIX + "component2";
-	List<Comment> comments = this.getAuthenticatedResource(getResource().path(
-		"/registry/components/" + id + "/comments")).get(
-		COMMENT_LIST_GENERICTYPE);
-	assertEquals(2, comments.size());
-	Comment aComment = this.getAuthenticatedResource(getResource().path(
-		"/registry/components/" + id + "/comments/"+component1Comment3.getId()))
-		.get(Comment.class);
-	assertNotNull(aComment);
-
-	// Try to delete from other component
-	ClientResponse response = getAuthenticatedResource(
-		"/registry/components/" + id2 + "/comments/"+component1Comment4.getId()).delete(
-		ClientResponse.class);
-	assertEquals(500, response.getStatus());
-	// Delete from correct component
-	response = getAuthenticatedResource(
-		"/registry/components/" + id + "/comments/"+component1Comment3.getId()).delete(
-		ClientResponse.class);
-	assertEquals(200, response.getStatus());
-
-	comments = this.getAuthenticatedResource(getResource().path(
-		"/registry/components/" + id + "/comments/")).get(
-		COMMENT_LIST_GENERICTYPE);
-	assertEquals(1, comments.size());
-
-	response = getAuthenticatedResource(
-		"/registry/components/" + id + "/comments/"+component1Comment4.getId()).delete(
-		ClientResponse.class);
-	assertEquals(200, response.getStatus());
-
-	comments = this.getAuthenticatedResource(getResource().path(
-		"/registry/components/" + id + "/comments")).get(
-		COMMENT_LIST_GENERICTYPE);
-	assertEquals(0, comments.size());
+
+        System.out.println("testDeleteCommentFromPublicComponent");
+
+        fillUpPublicItems();
+
+        String id = ComponentDescription.COMPONENT_PREFIX + "component1";
+        String id2 = ComponentDescription.COMPONENT_PREFIX + "component2";
+        List<Comment> comments = this.getAuthenticatedResource(getResource().path(
+                "/registry/components/" + id + "/comments")).get(
+                COMMENT_LIST_GENERICTYPE);
+        assertEquals(2, comments.size());
+        Comment aComment = this.getAuthenticatedResource(getResource().path(
+                "/registry/components/" + id + "/comments/" + component1Comment3.getId()))
+                .get(Comment.class);
+        assertNotNull(aComment);
+
+        // Try to delete from other component
+        ClientResponse response = getAuthenticatedResource(
+                "/registry/components/" + id2 + "/comments/" + component1Comment4.getId()).delete(
+                ClientResponse.class);
+        assertEquals(500, response.getStatus());
+        // Delete from correct component
+        response = getAuthenticatedResource(
+                "/registry/components/" + id + "/comments/" + component1Comment3.getId()).delete(
+                ClientResponse.class);
+        assertEquals(200, response.getStatus());
+
+        comments = this.getAuthenticatedResource(getResource().path(
+                "/registry/components/" + id + "/comments/")).get(
+                COMMENT_LIST_GENERICTYPE);
+        assertEquals(1, comments.size());
+
+        response = getAuthenticatedResource(
+                "/registry/components/" + id + "/comments/" + component1Comment4.getId()).delete(
+                ClientResponse.class);
+        assertEquals(200, response.getStatus());
+
+        comments = this.getAuthenticatedResource(getResource().path(
+                "/registry/components/" + id + "/comments")).get(
+                COMMENT_LIST_GENERICTYPE);
+        assertEquals(0, comments.size());
     }
 
     @Test
     public void testManipulateCommentFromPublicComponent() throws Exception {
-        
-        fillUpPublicItems();
-        
-	List<Comment> comments = this.getAuthenticatedResource(getResource().path(
-		"/registry/components/" + ComponentDescription.COMPONENT_PREFIX
-			+ "component1/comments")).get(COMMENT_LIST_GENERICTYPE);
-	assertEquals(2, comments.size());
-	Comment aComment = this.getAuthenticatedResource(getResource().path(
-		"/registry/components/" + ComponentDescription.COMPONENT_PREFIX
-			+ "component1/comments/"+component1Comment3.getId())).get(Comment.class);
-	assertNotNull(aComment);
-
-	Form manipulateForm = new Form();
-	manipulateForm.add("method", "delete");
-
-	// Try to delete from other component
-	ClientResponse response = getAuthenticatedResource(
-		"/registry/components/" + ComponentDescription.COMPONENT_PREFIX
-			+ "component1/comments/"+component1Comment3.getId()).post(ClientResponse.class,
-		manipulateForm);
-	assertEquals(200, response.getStatus());
-
-	comments = this.getAuthenticatedResource(getResource().path(
-		"/registry/components/" + ComponentDescription.COMPONENT_PREFIX
-			+ "component1/comments/")).get(COMMENT_LIST_GENERICTYPE);
-	assertEquals(1, comments.size());
+
+        System.out.println("testManipulateCommentFromPublicComponent");
+
+        fillUpPublicItems();
+
+        List<Comment> comments = this.getAuthenticatedResource(getResource().path(
+                "/registry/components/" + ComponentDescription.COMPONENT_PREFIX
+                + "component1/comments")).get(COMMENT_LIST_GENERICTYPE);
+        assertEquals(2, comments.size());
+        Comment aComment = this.getAuthenticatedResource(getResource().path(
+                "/registry/components/" + ComponentDescription.COMPONENT_PREFIX
+                + "component1/comments/" + component1Comment3.getId())).get(Comment.class);
+        assertNotNull(aComment);
+
+        Form manipulateForm = new Form();
+        manipulateForm.add("method", "delete");
+
+        // Try to delete from other component
+        ClientResponse response = getAuthenticatedResource(
+                "/registry/components/" + ComponentDescription.COMPONENT_PREFIX
+                + "component1/comments/" + component1Comment3.getId()).post(ClientResponse.class,
+                manipulateForm);
+        assertEquals(200, response.getStatus());
+
+        comments = this.getAuthenticatedResource(getResource().path(
+                "/registry/components/" + ComponentDescription.COMPONENT_PREFIX
+                + "component1/comments/")).get(COMMENT_LIST_GENERICTYPE);
+        assertEquals(1, comments.size());
     }
 
     @Test
     public void testDeleteCommentFromPublicProfile() throws Exception {
-        
-        fillUpPublicItems();
-        
-	List<Comment> comments = this.getAuthenticatedResource(getResource().path(
-		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1/comments")).get(COMMENT_LIST_GENERICTYPE);
-	assertEquals(2, comments.size());
-	Comment aComment = this.getAuthenticatedResource(getResource().path(
-		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1/comments/"+profile1Comment1.getId())).get(Comment.class);
-	assertNotNull(aComment);
-
-	// Try to delete from other profile
-	ClientResponse response = getAuthenticatedResource(
-		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile2/comments/9999").delete(ClientResponse.class);
-	assertEquals(500, response.getStatus());
-	// Delete from correct profile
-	response = getAuthenticatedResource(
-		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1/comments/"+profile1Comment1.getId()).delete(ClientResponse.class);
-	assertEquals(200, response.getStatus());
-
-	comments = this.getAuthenticatedResource(getResource().path(
-		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1/comments/")).get(COMMENT_LIST_GENERICTYPE);
-	assertEquals(1, comments.size());
-
-	response = getAuthenticatedResource(
-		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1/comments/"+profile1Comment2.getId()).delete(ClientResponse.class);
-	assertEquals(200, response.getStatus());
-
-	comments = this.getAuthenticatedResource(getResource().path(
-		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1/comments")).get(COMMENT_LIST_GENERICTYPE);
-	assertEquals(0, comments.size());
+
+        System.out.println("testDeleteCommentFromPublicProfile");
+
+        fillUpPublicItems();
+
+        List<Comment> comments = this.getAuthenticatedResource(getResource().path(
+                "/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
+                + "profile1/comments")).get(COMMENT_LIST_GENERICTYPE);
+        assertEquals(2, comments.size());
+        Comment aComment = this.getAuthenticatedResource(getResource().path(
+                "/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
+                + "profile1/comments/" + profile1Comment1.getId())).get(Comment.class);
+        assertNotNull(aComment);
+
+        // Try to delete from other profile
+        ClientResponse response = getAuthenticatedResource(
+                "/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
+                + "profile2/comments/9999").delete(ClientResponse.class);
+        assertEquals(500, response.getStatus());
+        // Delete from correct profile
+        response = getAuthenticatedResource(
+                "/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
+                + "profile1/comments/" + profile1Comment1.getId()).delete(ClientResponse.class);
+        assertEquals(200, response.getStatus());
+
+        comments = this.getAuthenticatedResource(getResource().path(
+                "/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
+                + "profile1/comments/")).get(COMMENT_LIST_GENERICTYPE);
+        assertEquals(1, comments.size());
+
+        response = getAuthenticatedResource(
+                "/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
+                + "profile1/comments/" + profile1Comment2.getId()).delete(ClientResponse.class);
+        assertEquals(200, response.getStatus());
+
+        comments = this.getAuthenticatedResource(getResource().path(
+                "/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
+                + "profile1/comments")).get(COMMENT_LIST_GENERICTYPE);
+        assertEquals(0, comments.size());
     }
 
     @Test
     public void testManipulateCommentFromPublicProfile() throws Exception {
-        
-        fillUpPublicItems();
-        
-	List<Comment> comments = this.getAuthenticatedResource(getResource().path(
-		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1/comments")).get(COMMENT_LIST_GENERICTYPE);
-	assertEquals(2, comments.size());
-	Comment aComment = this.getAuthenticatedResource(getResource().path(
-		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1/comments/"+profile1Comment2.getId())).get(Comment.class);
-	assertNotNull(aComment);
-
-	Form manipulateForm = new Form();
-	manipulateForm.add("method", "delete");
-	// Delete from correct profile
-	ClientResponse response = getAuthenticatedResource(
-		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1/comments/"+profile1Comment2.getId()).post(ClientResponse.class,
-		manipulateForm);
-	assertEquals(200, response.getStatus());
-
-	comments = this.getAuthenticatedResource(getResource().path(
-		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1/comments/")).get(COMMENT_LIST_GENERICTYPE);
-	assertEquals(1, comments.size());
+
+        System.out.println("testManipulatreCommentFromPublicProfile");
+
+        fillUpPublicItems();
+
+        List<Comment> comments = this.getAuthenticatedResource(getResource().path(
+                "/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
+                + "profile1/comments")).get(COMMENT_LIST_GENERICTYPE);
+        assertEquals(2, comments.size());
+        Comment aComment = this.getAuthenticatedResource(getResource().path(
+                "/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
+                + "profile1/comments/" + profile1Comment2.getId())).get(Comment.class);
+        assertNotNull(aComment);
+
+        Form manipulateForm = new Form();
+        manipulateForm.add("method", "delete");
+        // Delete from correct profile
+        ClientResponse response = getAuthenticatedResource(
+                "/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
+                + "profile1/comments/" + profile1Comment2.getId()).post(ClientResponse.class,
+                manipulateForm);
+        assertEquals(200, response.getStatus());
+
+        comments = this.getAuthenticatedResource(getResource().path(
+                "/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
+                + "profile1/comments/")).get(COMMENT_LIST_GENERICTYPE);
+        assertEquals(1, comments.size());
     }
 
     @Test
     public void testDeletePublicComponent() throws Exception {
-        
-        fillUpPublicItems();
-        
-	List<ComponentDescription> components = this.getAuthenticatedResource(getResource().path(
-		"/registry/components")).get(COMPONENT_LIST_GENERICTYPE);
-	assertEquals(2, components.size());
-	CMDComponentSpec profile = this.getAuthenticatedResource(getResource().path(
-		"/registry/components/" + ComponentDescription.COMPONENT_PREFIX
-			+ "component1")).get(CMDComponentSpec.class);
-	assertNotNull(profile);
-	ClientResponse response = getAuthenticatedResource(
-		"/registry/components/" + ComponentDescription.COMPONENT_PREFIX
-			+ "component1").delete(ClientResponse.class);
-	assertEquals(200, response.getStatus());
-
-	components = this.getAuthenticatedResource(getResource().path("/registry/components")).get(
-		COMPONENT_LIST_GENERICTYPE);
-	assertEquals(1, components.size());
-
-	response = getAuthenticatedResource(
-		"/registry/components/" + ComponentDescription.COMPONENT_PREFIX
-			+ "component2").delete(ClientResponse.class);
-	assertEquals(200, response.getStatus());
-
-	components = this.getAuthenticatedResource(getResource().path("/registry/components")).get(
-		COMPONENT_LIST_GENERICTYPE);
-	assertEquals(0, components.size());
-
-	response = getAuthenticatedResource(
-		"/registry/components/" + ComponentDescription.COMPONENT_PREFIX
-			+ "component1").delete(ClientResponse.class);
-	assertEquals(200, response.getStatus());
+
+        System.out.println("testDeletePublicComponent");
+
+        fillUpPublicItems();
+
+        List<ComponentDescription> components = this.getAuthenticatedResource(getResource().path(
+                "/registry/components")).get(COMPONENT_LIST_GENERICTYPE);
+        assertEquals(2, components.size());
+        CMDComponentSpec profile = this.getAuthenticatedResource(getResource().path(
+                "/registry/components/" + ComponentDescription.COMPONENT_PREFIX
+                + "component1")).get(CMDComponentSpec.class);
+        assertNotNull(profile);
+        ClientResponse response = getAuthenticatedResource(
+                "/registry/components/" + ComponentDescription.COMPONENT_PREFIX
+                + "component1").delete(ClientResponse.class);
+        assertEquals(200, response.getStatus());
+
+        components = this.getAuthenticatedResource(getResource().path("/registry/components")).get(
+                COMPONENT_LIST_GENERICTYPE);
+        assertEquals(1, components.size());
+
+        response = getAuthenticatedResource(
+                "/registry/components/" + ComponentDescription.COMPONENT_PREFIX
+                + "component2").delete(ClientResponse.class);
+        assertEquals(200, response.getStatus());
+
+        components = this.getAuthenticatedResource(getResource().path("/registry/components")).get(
+                COMPONENT_LIST_GENERICTYPE);
+        assertEquals(0, components.size());
+
+        response = getAuthenticatedResource(
+                "/registry/components/" + ComponentDescription.COMPONENT_PREFIX
+                + "component1").delete(ClientResponse.class);
+        assertEquals(200, response.getStatus());
     }
 
     @Test
     public void testDeletePublicComponentStillUsed() throws Exception {
-        
-        fillUpPublicItems();
-        
+
+        System.out.println("testDeletePublicComponentStillUsed");
+
+        fillUpPublicItems();
+
         String content = "";
-	content += "<CMD_ComponentSpec isProfile=\"false\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"\n";
-	content += "    xsi:noNamespaceSchemaLocation=\"general-component-schema.xsd\">\n";
-	content += "    <Header/>\n";
-	content += "    <CMD_Component name=\"XXX\" CardinalityMin=\"1\" CardinalityMax=\"10\">\n";
-	content += "        <CMD_Element name=\"Availability\" ValueScheme=\"string\" />\n";
-	content += "    </CMD_Component>\n";
-	content += "</CMD_ComponentSpec>\n";
-	ComponentDescription compDesc1 = RegistryTestHelper.addComponent(
-		baseRegistry, "XXX1", content, true);
-
-	content = "";
-	content += "<CMD_ComponentSpec isProfile=\"false\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"\n";
-	content += "    xsi:noNamespaceSchemaLocation=\"general-component-schema.xsd\">\n";
-	content += "    <Header/>\n";
-	content += "    <CMD_Component name=\"YYY\" CardinalityMin=\"1\" CardinalityMax=\"unbounded\">\n";
-	content += "        <CMD_Component ComponentId=\"" + compDesc1.getId()
-		+ "\" CardinalityMin=\"0\" CardinalityMax=\"99\">\n";
-	content += "        </CMD_Component>\n";
-	content += "    </CMD_Component>\n";
-	content += "</CMD_ComponentSpec>\n";
-	ComponentDescription compDesc2 = RegistryTestHelper.addComponent(
-		baseRegistry, "YYY1", content,true);
-
-	content = "";
-	content += "<CMD_ComponentSpec isProfile=\"true\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"\n";
-	content += "    xsi:noNamespaceSchemaLocation=\"general-component-schema.xsd\">\n";
-	content += "    <Header/>\n";
-	content += "    <CMD_Component name=\"ZZZ\" CardinalityMin=\"1\" CardinalityMax=\"unbounded\">\n";
-	content += "        <CMD_Component ComponentId=\"" + compDesc1.getId()
-		+ "\" CardinalityMin=\"0\" CardinalityMax=\"99\">\n";
-	content += "        </CMD_Component>\n";
-	content += "    </CMD_Component>\n";
-	content += "</CMD_ComponentSpec>\n";
-	ProfileDescription profile = RegistryTestHelper.addProfile(
-		baseRegistry, "TestProfile3", content, true);
-
-	List<ComponentDescription> components = this.getAuthenticatedResource(getResource().path(
-		"/registry/components")).get(COMPONENT_LIST_GENERICTYPE);
-	assertEquals(4, components.size());
-
-	ClientResponse response = getAuthenticatedResource(
-		"/registry/components/" + compDesc1.getId()).delete(
-		ClientResponse.class);
-	assertEquals(Status.FORBIDDEN.getStatusCode(), response.getStatus());
-	assertEquals(
-		"Component is still in use by other components or profiles. Request component usage for details.",
-		response.getEntity(String.class));
-
-	components = this.getAuthenticatedResource(getResource().path("/registry/components")).get(
-		COMPONENT_LIST_GENERICTYPE);
-	assertEquals(4, components.size());
-
-	response = getAuthenticatedResource(
-		"/registry/profiles/" + profile.getId()).delete(
-		ClientResponse.class);
-	assertEquals(200, response.getStatus());
-	response = getAuthenticatedResource(
-		"/registry/components/" + compDesc2.getId()).delete(
-		ClientResponse.class);
-	assertEquals(200, response.getStatus());
-	response = getAuthenticatedResource(
-		"/registry/components/" + compDesc1.getId()).delete(
-		ClientResponse.class);
-	assertEquals(200, response.getStatus());
-	components = this.getAuthenticatedResource(getResource().path("/registry/components")).get(
-		COMPONENT_LIST_GENERICTYPE);
-	assertEquals(2, components.size());
+        content += "<CMD_ComponentSpec isProfile=\"false\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"\n";
+        content += "    xsi:noNamespaceSchemaLocation=\"general-component-schema.xsd\">\n";
+        content += "    <Header/>\n";
+        content += "    <CMD_Component name=\"XXX\" CardinalityMin=\"1\" CardinalityMax=\"10\">\n";
+        content += "        <CMD_Element name=\"Availability\" ValueScheme=\"string\" />\n";
+        content += "    </CMD_Component>\n";
+        content += "</CMD_ComponentSpec>\n";
+        ComponentDescription compDesc1 = RegistryTestHelper.addComponent(
+                baseRegistry, "XXX1", content, true);
+
+        content = "";
+        content += "<CMD_ComponentSpec isProfile=\"false\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"\n";
+        content += "    xsi:noNamespaceSchemaLocation=\"general-component-schema.xsd\">\n";
+        content += "    <Header/>\n";
+        content += "    <CMD_Component name=\"YYY\" CardinalityMin=\"1\" CardinalityMax=\"unbounded\">\n";
+        content += "        <CMD_Component ComponentId=\"" + compDesc1.getId()
+                + "\" CardinalityMin=\"0\" CardinalityMax=\"99\">\n";
+        content += "        </CMD_Component>\n";
+        content += "    </CMD_Component>\n";
+        content += "</CMD_ComponentSpec>\n";
+        ComponentDescription compDesc2 = RegistryTestHelper.addComponent(
+                baseRegistry, "YYY1", content, true);
+
+        content = "";
+        content += "<CMD_ComponentSpec isProfile=\"true\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"\n";
+        content += "    xsi:noNamespaceSchemaLocation=\"general-component-schema.xsd\">\n";
+        content += "    <Header/>\n";
+        content += "    <CMD_Component name=\"ZZZ\" CardinalityMin=\"1\" CardinalityMax=\"unbounded\">\n";
+        content += "        <CMD_Component ComponentId=\"" + compDesc1.getId()
+                + "\" CardinalityMin=\"0\" CardinalityMax=\"99\">\n";
+        content += "        </CMD_Component>\n";
+        content += "    </CMD_Component>\n";
+        content += "</CMD_ComponentSpec>\n";
+        ProfileDescription profile = RegistryTestHelper.addProfile(
+                baseRegistry, "TestProfile3", content, true);
+
+        List<ComponentDescription> components = this.getAuthenticatedResource(getResource().path(
+                "/registry/components")).get(COMPONENT_LIST_GENERICTYPE);
+        assertEquals(4, components.size());
+
+        ClientResponse response = getAuthenticatedResource(
+                "/registry/components/" + compDesc1.getId()).delete(
+                ClientResponse.class);
+        assertEquals(Status.FORBIDDEN.getStatusCode(), response.getStatus());
+        assertEquals(
+                "Component is still in use by other components or profiles. Request component usage for details.",
+                response.getEntity(String.class));
+
+        components = this.getAuthenticatedResource(getResource().path("/registry/components")).get(
+                COMPONENT_LIST_GENERICTYPE);
+        assertEquals(4, components.size());
+
+        response = getAuthenticatedResource(
+                "/registry/profiles/" + profile.getId()).delete(
+                ClientResponse.class);
+        assertEquals(200, response.getStatus());
+        response = getAuthenticatedResource(
+                "/registry/components/" + compDesc2.getId()).delete(
+                ClientResponse.class);
+        assertEquals(200, response.getStatus());
+        response = getAuthenticatedResource(
+                "/registry/components/" + compDesc1.getId()).delete(
+                ClientResponse.class);
+        assertEquals(200, response.getStatus());
+        components = this.getAuthenticatedResource(getResource().path("/registry/components")).get(
+                COMPONENT_LIST_GENERICTYPE);
+        assertEquals(2, components.size());
     }
 
     @Test
     public void testManipulatePublicComponent() throws Exception {
-        
-        fillUpPublicItems();
-        
-	List<ComponentDescription> components = this.getAuthenticatedResource(getResource().path(
-		"/registry/components")).get(COMPONENT_LIST_GENERICTYPE);
-	assertEquals(2, components.size());
-	CMDComponentSpec profile = this.getAuthenticatedResource(getResource().path(
-		"/registry/components/" + ComponentDescription.COMPONENT_PREFIX
-			+ "component1")).get(CMDComponentSpec.class);
-	assertNotNull(profile);
-
-	Form manipulateForm = new Form();
-	manipulateForm.add("method", "delete");
-
-	ClientResponse response = getAuthenticatedResource(
-		"/registry/components/" + ComponentDescription.COMPONENT_PREFIX
-			+ "component1").post(ClientResponse.class,
-		manipulateForm);
-	assertEquals(200, response.getStatus());
-
-	components = this.getAuthenticatedResource(getResource().path("/registry/components")).get(
-		COMPONENT_LIST_GENERICTYPE);
-	assertEquals(1, components.size());
-
-	response = getAuthenticatedResource(
-		"/registry/components/" + ComponentDescription.COMPONENT_PREFIX
-			+ "component2").post(ClientResponse.class,
-		manipulateForm);
-	assertEquals(200, response.getStatus());
+
+        System.out.println("testManipulatePublicComponent");
+
+        fillUpPublicItems();
+
+        List<ComponentDescription> components = this.getAuthenticatedResource(getResource().path(
+                "/registry/components")).get(COMPONENT_LIST_GENERICTYPE);
+        assertEquals(2, components.size());
+        CMDComponentSpec profile = this.getAuthenticatedResource(getResource().path(
+                "/registry/components/" + ComponentDescription.COMPONENT_PREFIX
+                + "component1")).get(CMDComponentSpec.class);
+        assertNotNull(profile);
+
+        Form manipulateForm = new Form();
+        manipulateForm.add("method", "delete");
+
+        ClientResponse response = getAuthenticatedResource(
+                "/registry/components/" + ComponentDescription.COMPONENT_PREFIX
+                + "component1").post(ClientResponse.class,
+                manipulateForm);
+        assertEquals(200, response.getStatus());
+
+        components = this.getAuthenticatedResource(getResource().path("/registry/components")).get(
+                COMPONENT_LIST_GENERICTYPE);
+        assertEquals(1, components.size());
+
+        response = getAuthenticatedResource(
+                "/registry/components/" + ComponentDescription.COMPONENT_PREFIX
+                + "component2").post(ClientResponse.class,
+                manipulateForm);
+        assertEquals(200, response.getStatus());
     }
 
     @Test
     public void testGetRegisteredProfile() throws Exception {
-        
-        fillUpPublicItems();
-        
-	String id = ProfileDescription.PROFILE_PREFIX + "profile1";
-	String id2 = ProfileDescription.PROFILE_PREFIX + "profile2";
-	CMDComponentSpec profile = this.getAuthenticatedResource(getResource()
-		.path("/registry/profiles/" + id))
-		.accept(MediaType.APPLICATION_JSON).get(CMDComponentSpec.class);
-	assertNotNull(profile);
-	assertEquals("Actor", profile.getCMDComponent().getName());
-	profile = this.getAuthenticatedResource(getResource().path("/registry/profiles/" + id2))
-		.accept(MediaType.APPLICATION_XML).get(CMDComponentSpec.class);
-	assertNotNull(profile);
-	assertEquals("Actor", profile.getCMDComponent().getName());
-
-	assertEquals(id2, profile.getHeader().getID());
-	assertEquals("profile2", profile.getHeader().getName());
-	assertEquals("Test Description", profile.getHeader().getDescription());
-
-	try {
-	    profile = this.getAuthenticatedResource(getResource()
-		    .path("/registry/profiles/"
-			    + ProfileDescription.PROFILE_PREFIX + "profileXXXX"))
-		    .accept(MediaType.APPLICATION_XML)
-		    .get(CMDComponentSpec.class);
-	    fail("Exception should have been thrown resource does not exist, HttpStatusCode 404");
-	} catch (UniformInterfaceException e) {
-	    assertEquals(404, e.getResponse().getStatus());
-	}
-    }
-
-    @Test
-    public void testGetRegisteredProfileRawData() throws Exception {
-        
-        fillUpPublicItems();
-        
-	String profile = this.getAuthenticatedResource(getResource()
-		.path("/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1/xsd")).accept(MediaType.TEXT_XML)
-		.get(String.class).trim();
-	assertTrue(profile
-		.startsWith("<?xml version=\"1.0\" encoding=\"UTF-8\"?><xs:schema"));
-	assertTrue(profile.endsWith("</xs:schema>"));
-
-	profile = this.getAuthenticatedResource(getResource()
-		.path("/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1/xml")).accept(MediaType.TEXT_XML)
-		.get(String.class).trim();
-	assertTrue(profile
-		.startsWith("<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n<CMD_ComponentSpec"));
-	assertTrue(profile.endsWith("</CMD_ComponentSpec>"));
-	assertTrue(profile.contains("xsi:schemaLocation"));
-
-	try {
-	    this.getAuthenticatedResource(getResource()
-		    .path("/registry/components/"
-			    + ComponentDescription.COMPONENT_PREFIX
-			    + "component1/xsl")).accept(MediaType.TEXT_XML)
-		    .get(String.class);
-	    fail("Should have thrown exception, unsupported path parameter");
-	} catch (UniformInterfaceException e) {// server error
-	}
+
+        System.out.println("testGetRegisteredProfile");
+
+        fillUpPublicItems();
+
+        String id = ProfileDescription.PROFILE_PREFIX + "profile1";
+        String id2 = ProfileDescription.PROFILE_PREFIX + "profile2";
+        CMDComponentSpec profile = this.getAuthenticatedResource(getResource()
+                .path("/registry/profiles/" + id))
+                .accept(MediaType.APPLICATION_JSON).get(CMDComponentSpec.class);
+        assertNotNull(profile);
+        assertEquals("Actor", profile.getCMDComponent().getName());
+        profile = this.getAuthenticatedResource(getResource().path("/registry/profiles/" + id2))
+                .accept(MediaType.APPLICATION_XML).get(CMDComponentSpec.class);
+        assertNotNull(profile);
+        assertEquals("Actor", profile.getCMDComponent().getName());
+
+        assertEquals(id2, profile.getHeader().getID());
+        assertEquals("profile2", profile.getHeader().getName());
+        assertEquals("Test Description", profile.getHeader().getDescription());
+
+        try {
+            profile = this.getAuthenticatedResource(getResource()
+                    .path("/registry/profiles/"
+                    + ProfileDescription.PROFILE_PREFIX + "profileXXXX"))
+                    .accept(MediaType.APPLICATION_XML)
+                    .get(CMDComponentSpec.class);
+            fail("Exception should have been thrown resource does not exist, HttpStatusCode 404");
+        } catch (UniformInterfaceException e) {
+            assertEquals(404, e.getResponse().getStatus());
+        }
+    }
+
+    @Test
+    public void testGetRegisteredProfileRawData() {
+
+        System.out.println("testGetRegisteredProfileRawData");
+
+        try {
+            fillUpPublicItems();
+        } catch (Exception e) {
+            System.out.println("test fails due to exception: " + e.getMessage());
+            return;
+        }
+
+        String profile = this.getAuthenticatedResource(getResource()
+                .path("/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
+                + "profile1/xsd")).accept(MediaType.TEXT_XML)
+                .get(String.class).trim();
+        assertTrue(profile
+                .startsWith("<?xml version=\"1.0\" encoding=\"UTF-8\"?><xs:schema"));
+        assertTrue(profile.endsWith("</xs:schema>"));
+
+        profile = this.getAuthenticatedResource(getResource()
+                .path("/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
+                + "profile1/xml")).accept(MediaType.TEXT_XML)
+                .get(String.class).trim();
+        assertTrue(profile
+                .startsWith("<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n<CMD_ComponentSpec"));
+        assertTrue(profile.endsWith("</CMD_ComponentSpec>"));
+        assertTrue(profile.contains("xsi:schemaLocation"));
+
+
+        ClientResponse respie = this.getAuthenticatedResource(getResource()
+                .path("/registry/profiles/"
+                + ProfileDescription.PROFILE_PREFIX
+                + "profile1/xsl")).accept(MediaType.TEXT_XML).head();
+        assertEquals(404, respie.getStatus());
     }
 
     // 
     @Test
-    public void testPrivateProfileXsd() throws Exception {
-        
-        fillUpPublicItems();
-        
-	FormDataMultiPart form = createFormData(RegistryTestHelper
-		.getTestProfileContent());
-	RegisterResponse response = getAuthenticatedResource(getResource().path("/registry/profiles").queryParam(
-			REGISTRY_SPACE_PARAM, "private")).type(
-		MediaType.MULTIPART_FORM_DATA).post(RegisterResponse.class,
-		form);
-	assertTrue(response.isProfile());
-	assertEquals(1, getUserProfiles().size());
-	BaseDescription desc = response.getDescription();
-	String profile = this.getAuthenticatedResource(getResource()
-		.path("/registry/profiles/" + desc.getId() + "/xsd"))
-		.accept(MediaType.TEXT_XML).get(String.class).trim();
-	assertTrue(profile
-		.startsWith("<?xml version=\"1.0\" encoding=\"UTF-8\"?><xs:schema"));
-	assertTrue(profile.endsWith("</xs:schema>"));
+    public void testPrivateProfileXsd() {
+
+        System.out.println("testPrivateProfileXsd");
+
+        try {
+            fillUpPublicItems();
+        } catch (Exception e) {
+            System.out.println("test fails due to exception: " + e.getMessage());
+            return;
+        }
+
+        FormDataMultiPart form = createFormData(RegistryTestHelper
+                .getTestProfileContent());
+        RegisterResponse response = getAuthenticatedResource(getResource().path("/registry/profiles").queryParam(
+                REGISTRY_SPACE_PARAM, "private")).type(
+                MediaType.MULTIPART_FORM_DATA).post(RegisterResponse.class,
+                form);
+        assertTrue(response.isProfile());
+        assertEquals(1, getUserProfiles().size());
+        BaseDescription desc = response.getDescription();
+        String profile = this.getAuthenticatedResource(getResource()
+                .path("/registry/profiles/" + desc.getId() + "/xsd"))
+                .accept(MediaType.TEXT_XML).get(String.class).trim();
+        assertTrue(profile
+                .startsWith("<?xml version=\"1.0\" encoding=\"UTF-8\"?><xs:schema"));
+        assertTrue(profile.endsWith("</xs:schema>"));
     }
 
     @Test
     public void testPrivateComponentXsd() throws Exception {
-        
-        fillUpPublicItems();
-        
-	FormDataMultiPart form = createFormData(RegistryTestHelper
-		.getComponentTestContent());
-	RegisterResponse response = getAuthenticatedResource(
-		getResource().path("/registry/components").queryParam(
-			REGISTRY_SPACE_PARAM, "private")).type(
-		MediaType.MULTIPART_FORM_DATA).post(RegisterResponse.class,
-		form);
-	assertFalse(response.isProfile());
-	assertEquals(1, getUserComponents().size());
-	BaseDescription desc = response.getDescription();
-	String profile = this.getAuthenticatedResource(getResource()
-		.path("/registry/components/" + desc.getId() + "/xsd"))
-		.accept(MediaType.TEXT_XML).get(String.class).trim();
-	assertTrue(profile
-		.startsWith("<?xml version=\"1.0\" encoding=\"UTF-8\"?><xs:schema"));
-	assertTrue(profile.endsWith("</xs:schema>"));
+
+        System.out.println("testPrivateComponentXsd");
+
+        fillUpPublicItems();
+
+        FormDataMultiPart form = createFormData(RegistryTestHelper
+                .getComponentTestContent());
+        RegisterResponse response = getAuthenticatedResource(
+                getResource().path("/registry/components").queryParam(
+                REGISTRY_SPACE_PARAM, "private")).type(
+                MediaType.MULTIPART_FORM_DATA).post(RegisterResponse.class,
+                form);
+        assertFalse(response.isProfile());
+        assertEquals(1, getUserComponents().size());
+        BaseDescription desc = response.getDescription();
+        String profile = this.getAuthenticatedResource(getResource()
+                .path("/registry/components/" + desc.getId() + "/xsd"))
+                .accept(MediaType.TEXT_XML).get(String.class).trim();
+        assertTrue(profile
+                .startsWith("<?xml version=\"1.0\" encoding=\"UTF-8\"?><xs:schema"));
+        assertTrue(profile.endsWith("</xs:schema>"));
     }
 
     @Test
     public void testDeleteRegisteredProfile() throws Exception {
-        
-        fillUpPublicItems();
-        
-	List<ProfileDescription> profiles = this.getAuthenticatedResource(getResource().path(
-		"/registry/profiles")).get(PROFILE_LIST_GENERICTYPE);
-	assertEquals(2, profiles.size());
-	CMDComponentSpec profile = this.getAuthenticatedResource(getResource().path(
-		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1")).get(CMDComponentSpec.class);
-	assertNotNull(profile);
-
-	ClientResponse response = getAuthenticatedResource(
-		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1").delete(ClientResponse.class);
-	assertEquals(200, response.getStatus());
-
-	profiles = this.getAuthenticatedResource(getResource().path("/registry/profiles")).get(
-		PROFILE_LIST_GENERICTYPE);
-	assertEquals(1, profiles.size());
-
-	response = getAuthenticatedResource(
-		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile2").delete(ClientResponse.class);
-	assertEquals(200, response.getStatus());
-
-	profiles = this.getAuthenticatedResource(getResource().path("/registry/profiles")).get(
-		PROFILE_LIST_GENERICTYPE);
-	assertEquals(0, profiles.size());
-
-	response = getAuthenticatedResource(
-		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1").delete(ClientResponse.class);
-	assertEquals(404, response.getStatus());
+
+        System.out.println("testDeleteRegistredProfile");
+
+        fillUpPublicItems();
+
+        List<ProfileDescription> profiles = this.getAuthenticatedResource(getResource().path(
+                "/registry/profiles")).get(PROFILE_LIST_GENERICTYPE);
+        assertEquals(2, profiles.size());
+        CMDComponentSpec profile = this.getAuthenticatedResource(getResource().path(
+                "/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
+                + "profile1")).get(CMDComponentSpec.class);
+        assertNotNull(profile);
+
+        ClientResponse response = getAuthenticatedResource(
+                "/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
+                + "profile1").delete(ClientResponse.class);
+        assertEquals(200, response.getStatus());
+
+        profiles = this.getAuthenticatedResource(getResource().path("/registry/profiles")).get(
+                PROFILE_LIST_GENERICTYPE);
+        assertEquals(1, profiles.size());
+
+        response = getAuthenticatedResource(
+                "/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
+                + "profile2").delete(ClientResponse.class);
+        assertEquals(200, response.getStatus());
+
+        profiles = this.getAuthenticatedResource(getResource().path("/registry/profiles")).get(
+                PROFILE_LIST_GENERICTYPE);
+        assertEquals(0, profiles.size());
+
+        response = getAuthenticatedResource(
+                "/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
+                + "profile1").delete(ClientResponse.class);
+        assertEquals(404, response.getStatus());
     }
 
     @Test
     public void testManipulateRegisteredProfile() throws Exception {
-        
-        fillUpPublicItems();
-        
-	List<ProfileDescription> profiles = this.getAuthenticatedResource(getResource().path(
-		"/registry/profiles")).get(PROFILE_LIST_GENERICTYPE);
-	assertEquals(2, profiles.size());
-	CMDComponentSpec profile = this.getAuthenticatedResource(getResource().path(
-		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1")).get(CMDComponentSpec.class);
-	assertNotNull(profile);
-
-	Form manipulateForm = new Form();
-	manipulateForm.add("method", "delete");
-
-	ClientResponse response = getAuthenticatedResource(
-		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1")
-		.post(ClientResponse.class, manipulateForm);
-	assertEquals(200, response.getStatus());
-
-	profiles = this.getAuthenticatedResource(getResource().path("/registry/profiles")).get(
-		PROFILE_LIST_GENERICTYPE);
-	assertEquals(1, profiles.size());
-
-	response = getAuthenticatedResource(
-		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile2")
-		.post(ClientResponse.class, manipulateForm);
-	assertEquals(200, response.getStatus());
+
+        System.out.println("testManipulateRegisteredProfile");
+
+        fillUpPublicItems();
+
+        List<ProfileDescription> profiles = this.getAuthenticatedResource(getResource().path(
+                "/registry/profiles")).get(PROFILE_LIST_GENERICTYPE);
+        assertEquals(2, profiles.size());
+        CMDComponentSpec profile = this.getAuthenticatedResource(getResource().path(
+                "/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
+                + "profile1")).get(CMDComponentSpec.class);
+        assertNotNull(profile);
+
+        Form manipulateForm = new Form();
+        manipulateForm.add("method", "delete");
+
+        ClientResponse response = getAuthenticatedResource(
+                "/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
+                + "profile1")
+                .post(ClientResponse.class, manipulateForm);
+        assertEquals(200, response.getStatus());
+
+        profiles = this.getAuthenticatedResource(getResource().path("/registry/profiles")).get(
+                PROFILE_LIST_GENERICTYPE);
+        assertEquals(1, profiles.size());
+
+        response = getAuthenticatedResource(
+                "/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
+                + "profile2")
+                .post(ClientResponse.class, manipulateForm);
+        assertEquals(200, response.getStatus());
     }
 
     @Test
     public void testGetRegisteredComponentRawData() throws Exception {
-        
-        fillUpPublicItems();
-        
-	String id = ComponentDescription.COMPONENT_PREFIX + "component1";
-	String component = this.getAuthenticatedResource(getResource()
-		.path("/registry/components/" + id + "/xsd"))
-		.accept(MediaType.TEXT_XML).get(String.class).trim();
-	assertTrue(component
-		.startsWith("<?xml version=\"1.0\" encoding=\"UTF-8\"?><xs:schema"));
-	assertTrue(component.endsWith("</xs:schema>"));
-
-	component = this.getAuthenticatedResource(getResource().path("/registry/components/" + id + "/xml"))
-		.accept(MediaType.TEXT_XML).get(String.class).trim();
-	assertTrue(component
-		.startsWith("<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n<CMD_ComponentSpec"));
-	assertTrue(component.endsWith("</CMD_ComponentSpec>"));
-	assertTrue(component.contains("xsi:schemaLocation"));
-
-	try {
-	    this.getAuthenticatedResource(getResource()
-		    .path("/registry/components/"
-			    + ComponentDescription.COMPONENT_PREFIX
-			    + "component1/jpg")).accept(MediaType.TEXT_XML)
-		    .get(String.class);
-	    fail("Should have thrown exception, unsopported path parameter");
-	} catch (UniformInterfaceException e) {
-	}
+
+        System.out.println("testGetRegisteredComponentRawData");
+
+        fillUpPublicItems();
+
+        String id = ComponentDescription.COMPONENT_PREFIX + "component1";
+        String component = this.getAuthenticatedResource(getResource()
+                .path("/registry/components/" + id + "/xsd"))
+                .accept(MediaType.TEXT_XML).get(String.class).trim();
+        assertTrue(component
+                .startsWith("<?xml version=\"1.0\" encoding=\"UTF-8\"?><xs:schema"));
+        assertTrue(component.endsWith("</xs:schema>"));
+
+        component = this.getAuthenticatedResource(getResource().path("/registry/components/" + id + "/xml"))
+                .accept(MediaType.TEXT_XML).get(String.class).trim();
+        assertTrue(component
+                .startsWith("<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n<CMD_ComponentSpec"));
+        assertTrue(component.endsWith("</CMD_ComponentSpec>"));
+        assertTrue(component.contains("xsi:schemaLocation"));
+
+        ClientResponse respie = this.getAuthenticatedResource(getResource()
+                    .path("/registry/components/"
+                    + ComponentDescription.COMPONENT_PREFIX
+                    + "component1/jpg")).accept(MediaType.TEXT_XML)
+                    .head();
+       assertEquals(404, respie.getStatus());
     }
 
     @Test
     public void testRegisterProfile() throws Exception {
-        
-        fillUpPublicItems();
-        
-	FormDataMultiPart form = new FormDataMultiPart();
-	form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
-		RegistryTestHelper.getTestProfileContent(),
-		MediaType.APPLICATION_OCTET_STREAM_TYPE);
-	form.field(IComponentRegistryRestService.NAME_FORM_FIELD,
-		"ProfileTest1");
-	form.field(IComponentRegistryRestService.DOMAIN_FORM_FIELD,
-		"TestDomain");
-	form.field(IComponentRegistryRestService.DESCRIPTION_FORM_FIELD,
-		"My Test Profile");
-	form.field(IComponentRegistryRestService.GROUP_FORM_FIELD,
-		"My Test Group");
-	RegisterResponse response = getAuthenticatedResource(
-		"/registry/profiles").type(MediaType.MULTIPART_FORM_DATA).post(
-		RegisterResponse.class, form);
-	assertTrue(response.isProfile());
-	assertTrue(response.isInUserSpace());
-	ProfileDescription profileDesc = (ProfileDescription) response
-		.getDescription();
-	assertNotNull(profileDesc);
-	assertEquals("ProfileTest1", profileDesc.getName());
-	assertEquals("My Test Profile", profileDesc.getDescription());
-	assertEquals("TestDomain", profileDesc.getDomainName());
-	assertEquals("My Test Group", profileDesc.getGroupName());
-	assertEquals(expectedUserId("JUnit@test.com"), profileDesc.getUserId());
-	assertEquals("Database test user", profileDesc.getCreatorName());
-	assertTrue(profileDesc.getId().startsWith(
-		ComponentRegistry.REGISTRY_ID + "p_"));
-	assertNotNull(profileDesc.getRegistrationDate());
-	assertEquals(
-		"http://localhost:9998/registry/profiles/"
-			+ profileDesc.getId(), profileDesc.getHref());
+
+        System.out.println("testRegisterProfile");
+
+        fillUpPublicItems();
+
+        FormDataMultiPart form = new FormDataMultiPart();
+        form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
+                RegistryTestHelper.getTestProfileContent(),
+                MediaType.APPLICATION_OCTET_STREAM_TYPE);
+        form.field(IComponentRegistryRestService.NAME_FORM_FIELD,
+                "ProfileTest1");
+        form.field(IComponentRegistryRestService.DOMAIN_FORM_FIELD,
+                "TestDomain");
+        form.field(IComponentRegistryRestService.DESCRIPTION_FORM_FIELD,
+                "My Test Profile");
+        form.field(IComponentRegistryRestService.GROUP_FORM_FIELD,
+                "My Test Group");
+        RegisterResponse response = getAuthenticatedResource(
+                "/registry/profiles").type(MediaType.MULTIPART_FORM_DATA).post(
+                RegisterResponse.class, form);
+        assertTrue(response.isProfile());
+        assertTrue(response.isInUserSpace());
+        ProfileDescription profileDesc = (ProfileDescription) response
+                .getDescription();
+        assertNotNull(profileDesc);
+        assertEquals("ProfileTest1", profileDesc.getName());
+        assertEquals("My Test Profile", profileDesc.getDescription());
+        assertEquals("TestDomain", profileDesc.getDomainName());
+        assertEquals("My Test Group", profileDesc.getGroupName());
+        assertEquals(expectedUserId("JUnit@test.com"), profileDesc.getUserId());
+        assertEquals("Database test user", profileDesc.getCreatorName());
+        assertTrue(profileDesc.getId().startsWith(
+                ComponentRegistry.REGISTRY_ID + "p_"));
+        assertNotNull(profileDesc.getRegistrationDate());
+        assertEquals(
+                "http://localhost:9998/registry/profiles/"
+                + profileDesc.getId(), profileDesc.getHref());
     }
 
     @Test
     public void testPublishProfile() throws Exception {
-        
+
+        System.out.println("testPublishProfile");
+
         fillUpPrivateItems();
         fillUpPublicItems();
-        
-	assertEquals("user registered profiles", 1, getUserProfiles().size());
-	assertEquals("public registered profiles", 2, getPublicProfiles()
-		.size());
-	FormDataMultiPart form = createFormData(
-		RegistryTestHelper.getTestProfileContent(), "Unpublished");
-	RegisterResponse response = getAuthenticatedResource(getResource().path("/registry/profiles")).type(
-		MediaType.MULTIPART_FORM_DATA).post(RegisterResponse.class,
-		form);
-	assertTrue(response.isProfile());
-	BaseDescription desc = response.getDescription();
-	assertEquals("Unpublished", desc.getDescription());
-	assertEquals(2, getUserProfiles().size());
-	assertEquals(2, getPublicProfiles().size());
-	form = createFormData(
-		RegistryTestHelper.getTestProfileContent("publishedName"),
-		"Published");
-	response = getAuthenticatedResource(getResource().path(
-			"/registry/profiles/" + desc.getId() + "/publish"))
-		.type(MediaType.MULTIPART_FORM_DATA).post(
-			RegisterResponse.class, form);
-
-	assertEquals(1, getUserProfiles().size());
-	List<ProfileDescription> profiles = getPublicProfiles();
-	assertEquals(3, profiles.size());
-	ProfileDescription profileDescription = profiles.get(2);
-	assertNotNull(profileDescription.getId());
-	assertEquals(desc.getId(), profileDescription.getId());
-	assertEquals("http://localhost:9998/registry/profiles/" + desc.getId(),
-		profileDescription.getHref());
-	assertEquals("Published", profileDescription.getDescription());
-	CMDComponentSpec spec = getPublicSpec(profileDescription);
-	assertEquals("publishedName", spec.getCMDComponent().getName());
+
+        assertEquals("user registered profiles", 1, getUserProfiles().size());
+        assertEquals("public registered profiles", 2, getPublicProfiles()
+                .size());
+        FormDataMultiPart form = createFormData(
+                RegistryTestHelper.getTestProfileContent(), "Unpublished");
+        RegisterResponse response = getAuthenticatedResource(getResource().path("/registry/profiles")).type(
+                MediaType.MULTIPART_FORM_DATA).post(RegisterResponse.class,
+                form);
+        assertTrue(response.isProfile());
+        BaseDescription desc = response.getDescription();
+        assertEquals("Unpublished", desc.getDescription());
+        assertEquals(2, getUserProfiles().size());
+        assertEquals(2, getPublicProfiles().size());
+        form = createFormData(
+                RegistryTestHelper.getTestProfileContent("publishedName"),
+                "Published");
+        response = getAuthenticatedResource(getResource().path(
+                "/registry/profiles/" + desc.getId() + "/publish"))
+                .type(MediaType.MULTIPART_FORM_DATA).post(
+                RegisterResponse.class, form);
+
+        assertEquals(1, getUserProfiles().size());
+        List<ProfileDescription> profiles = getPublicProfiles();
+        assertEquals(3, profiles.size());
+        ProfileDescription profileDescription = profiles.get(2);
+        assertNotNull(profileDescription.getId());
+        assertEquals(desc.getId(), profileDescription.getId());
+        assertEquals("http://localhost:9998/registry/profiles/" + desc.getId(),
+                profileDescription.getHref());
+        assertEquals("Published", profileDescription.getDescription());
+        CMDComponentSpec spec = getPublicSpec(profileDescription);
+        assertEquals("publishedName", spec.getCMDComponent().getName());
     }
 
     private CMDComponentSpec getPublicSpec(BaseDescription desc) {
-	if (desc.isProfile()) {
-	    return this.getAuthenticatedResource(getResource().path("/registry/profiles/" + desc.getId()))
-		    .get(CMDComponentSpec.class);
-	} else {
-	    return this.getAuthenticatedResource(getResource().path("/registry/components/" + desc.getId()))
-		    .get(CMDComponentSpec.class);
-	}
+        if (desc.isProfile()) {
+            return this.getAuthenticatedResource(getResource().path("/registry/profiles/" + desc.getId()))
+                    .get(CMDComponentSpec.class);
+        } else {
+            return this.getAuthenticatedResource(getResource().path("/registry/components/" + desc.getId()))
+                    .get(CMDComponentSpec.class);
+        }
     }
 
     @Test
     public void testPublishRegisteredComponent() throws Exception {
-        
+
+        System.out.println("testPublishRegisteredComponent");
+
         fillUpPrivateItems();
         fillUpPublicItems();
-        
-	assertEquals(1, getUserComponents().size());
-	assertEquals(2, getPublicComponents().size());
-        
-	FormDataMultiPart form = createFormData(
-		RegistryTestHelper.getComponentTestContent(), "Unpublished");
-	RegisterResponse response = getAuthenticatedResource(getResource().path("/registry/components")).type(
-		MediaType.MULTIPART_FORM_DATA).post(RegisterResponse.class,
-		form);
-	assertFalse(response.isProfile());
-	BaseDescription desc = response.getDescription();
-	assertEquals("Unpublished", desc.getDescription());
-	assertEquals(2, getUserComponents().size());
-	assertEquals(2, getPublicComponents().size());
-	form = createFormData(
-		RegistryTestHelper.getComponentTestContentAsStream("publishedName"),
-		"Published");
-	response = getAuthenticatedResource(getResource().path(
-			"/registry/components/" + desc.getId() + "/publish"))
-		.type(MediaType.MULTIPART_FORM_DATA).post(
-			RegisterResponse.class, form);
-
-	assertEquals(1, getUserComponents().size());
-	List<ComponentDescription> components = getPublicComponents();
-	assertEquals(3, components.size());
-	ComponentDescription componentDescription = components.get(2);
-	assertNotNull(componentDescription.getId());
-	assertEquals(desc.getId(), componentDescription.getId());
-	assertEquals(
-		"http://localhost:9998/registry/components/" + desc.getId(),
-		componentDescription.getHref());
-	assertEquals("Published", componentDescription.getDescription());
-	CMDComponentSpec spec = getPublicSpec(componentDescription);
-	assertEquals("publishedName", spec.getCMDComponent().getName());
+
+        assertEquals(1, getUserComponents().size());
+        assertEquals(2, getPublicComponents().size());
+
+        FormDataMultiPart form = createFormData(
+                RegistryTestHelper.getComponentTestContent(), "Unpublished");
+        RegisterResponse response = getAuthenticatedResource(getResource().path("/registry/components")).type(
+                MediaType.MULTIPART_FORM_DATA).post(RegisterResponse.class,
+                form);
+        assertFalse(response.isProfile());
+        BaseDescription desc = response.getDescription();
+        assertEquals("Unpublished", desc.getDescription());
+        assertEquals(2, getUserComponents().size());
+        assertEquals(2, getPublicComponents().size());
+        form = createFormData(
+                RegistryTestHelper.getComponentTestContentAsStream("publishedName"),
+                "Published");
+        response = getAuthenticatedResource(getResource().path(
+                "/registry/components/" + desc.getId() + "/publish"))
+                .type(MediaType.MULTIPART_FORM_DATA).post(
+                RegisterResponse.class, form);
+
+        assertEquals(1, getUserComponents().size());
+        List<ComponentDescription> components = getPublicComponents();
+        assertEquals(3, components.size());
+        ComponentDescription componentDescription = components.get(2);
+        assertNotNull(componentDescription.getId());
+        assertEquals(desc.getId(), componentDescription.getId());
+        assertEquals(
+                "http://localhost:9998/registry/components/" + desc.getId(),
+                componentDescription.getHref());
+        assertEquals("Published", componentDescription.getDescription());
+        CMDComponentSpec spec = getPublicSpec(componentDescription);
+        assertEquals("publishedName", spec.getCMDComponent().getName());
     }
 
